package MlwifiTest_V5.test;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "MlwifiTest_V5.test", "MlwifiTest_V5.test.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "MlwifiTest_V5.test", "MlwifiTest_V5.test.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "MlwifiTest_V5.test.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static wifi.MLwifi _wifi = null;
public static wifi.MLwifi.MLWifiScanner _scan5 = null;
public MlwifiTest_V5.test.starter _starter = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 29;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 31;BA.debugLine="Log (\"";
anywheresoftware.b4a.keywords.Common.Log("                                                               Main Activity_Create");
 //BA.debugLineNum = 35;BA.debugLine="If FirstTime = True Then";
if (_firsttime==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 36;BA.debugLine="Log (\"";
anywheresoftware.b4a.keywords.Common.Log("                                                 Main Activity_Create FirstTime");
 //BA.debugLineNum = 39;BA.debugLine="If wifi.isWifiConnected = False Then";
if (_wifi.isWifiConnected()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 41;BA.debugLine="Log (\"WIFI is starting!\")";
anywheresoftware.b4a.keywords.Common.Log("WIFI is starting!");
 //BA.debugLineNum = 43;BA.debugLine="wifi.EnableWifi(True)";
_wifi.EnableWifi(anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 47;BA.debugLine="Log (\"Android Version: \" & wifi.APIversion)";
anywheresoftware.b4a.keywords.Common.Log("Android Version: "+BA.NumberToString(_wifi.APIversion()));
 //BA.debugLineNum = 48;BA.debugLine="Log (\"Logged in : \" & wifi.WifiSSID)";
anywheresoftware.b4a.keywords.Common.Log("Logged in : "+_wifi.WifiSSID());
 //BA.debugLineNum = 52;BA.debugLine="Scan5.startScan(\"Scan5\",True)";
_scan5.startScan(processBA,"Scan5",anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 67;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 69;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 63;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 65;BA.debugLine="End Sub";
return "";
}
public static String  _checktestssidinwifi(String[] _results,int _count) throws Exception{
String _strtmp = "";
int _inttestsgefunden = 0;
String[] _strparts = null;
String _strssid = "";
int _i = 0;
 //BA.debugLineNum = 128;BA.debugLine="Private Sub CheckTestSSIDInWifi (Results() As Stri";
 //BA.debugLineNum = 130;BA.debugLine="Dim strTmp As String";
_strtmp = "";
 //BA.debugLineNum = 131;BA.debugLine="Dim intTestsGefunden As Int";
_inttestsgefunden = 0;
 //BA.debugLineNum = 132;BA.debugLine="Dim strParts() As String";
_strparts = new String[(int) (0)];
java.util.Arrays.fill(_strparts,"");
 //BA.debugLineNum = 133;BA.debugLine="Dim strSsid As String";
_strssid = "";
 //BA.debugLineNum = 135;BA.debugLine="intTestsGefunden = 0";
_inttestsgefunden = (int) (0);
 //BA.debugLineNum = 137;BA.debugLine="For i = 0 To Count - 1";
{
final int step6 = 1;
final int limit6 = (int) (_count-1);
_i = (int) (0) ;
for (;(step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6) ;_i = ((int)(0 + _i + step6))  ) {
 //BA.debugLineNum = 139;BA.debugLine="strTmp = Results(i)";
_strtmp = _results[_i];
 //BA.debugLineNum = 140;BA.debugLine="Log (strTmp)";
anywheresoftware.b4a.keywords.Common.Log(_strtmp);
 //BA.debugLineNum = 142;BA.debugLine="If strTmp.Contains(\"Test\") Then";
if (_strtmp.contains("Test")) { 
 //BA.debugLineNum = 144;BA.debugLine="intTestsGefunden  = intTestsGefunden + 1";
_inttestsgefunden = (int) (_inttestsgefunden+1);
 //BA.debugLineNum = 146;BA.debugLine="If intTestsGefunden > 1 Then";
if (_inttestsgefunden>1) { 
 //BA.debugLineNum = 148;BA.debugLine="ToastMessageShow(\"More than one TestSSID found";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("More than one TestSSID found!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 149;BA.debugLine="Return (\"Min_2_Found\")";
if (true) return ("Min_2_Found");
 };
 //BA.debugLineNum = 153;BA.debugLine="If strSsid.Length = 0 Then";
if (_strssid.length()==0) { 
 //BA.debugLineNum = 154;BA.debugLine="strParts = Regex.Split(\",\",strTmp)";
_strparts = anywheresoftware.b4a.keywords.Common.Regex.Split(",",_strtmp);
 //BA.debugLineNum = 156;BA.debugLine="strSsid = strParts(0)";
_strssid = _strparts[(int) (0)];
 };
 };
 }
};
 //BA.debugLineNum = 165;BA.debugLine="If strSsid.Length = 0 Then";
if (_strssid.length()==0) { 
 //BA.debugLineNum = 166;BA.debugLine="Return (\"NotFound\")";
if (true) return ("NotFound");
 }else {
 //BA.debugLineNum = 168;BA.debugLine="Return (strSsid)";
if (true) return (_strssid);
 };
 //BA.debugLineNum = 170;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 27;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 16;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim wifi As MLwifi";
_wifi = new wifi.MLwifi();
 //BA.debugLineNum = 20;BA.debugLine="Dim Scan5 As MLScan";
_scan5 = new wifi.MLwifi.MLWifiScanner();
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return "";
}
public static void  _scan5_scandone(String[] _results,int _count) throws Exception{
ResumableSub_Scan5_ScanDone rsub = new ResumableSub_Scan5_ScanDone(null,_results,_count);
rsub.resume(processBA, null);
}
public static class ResumableSub_Scan5_ScanDone extends BA.ResumableSub {
public ResumableSub_Scan5_ScanDone(MlwifiTest_V5.test.main parent,String[] _results,int _count) {
this.parent = parent;
this._results = _results;
this._count = _count;
}
MlwifiTest_V5.test.main parent;
String[] _results;
int _count;
String _strssid = "";
String _strtemp = "";
String _strpasswort = "";

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 74;BA.debugLine="Dim strSsid As String";
_strssid = "";
 //BA.debugLineNum = 75;BA.debugLine="Dim strTemp As String";
_strtemp = "";
 //BA.debugLineNum = 76;BA.debugLine="Dim strPassWort As String";
_strpasswort = "";
 //BA.debugLineNum = 78;BA.debugLine="Log (\"Scan5 ready!\")";
anywheresoftware.b4a.keywords.Common.Log("Scan5 ready!");
 //BA.debugLineNum = 80;BA.debugLine="Log (\"Count: \"  & Count)";
anywheresoftware.b4a.keywords.Common.Log("Count: "+BA.NumberToString(_count));
 //BA.debugLineNum = 82;BA.debugLine="strSsid = CheckTestSSIDInWifi(Results, Count)";
_strssid = _checktestssidinwifi(_results,_count);
 //BA.debugLineNum = 84;BA.debugLine="Log (\"SSID String: \" & strSsid)";
anywheresoftware.b4a.keywords.Common.Log("SSID String: "+_strssid);
 //BA.debugLineNum = 86;BA.debugLine="If strSsid = \"NotFound\" Then";
if (true) break;

case 1:
//if
this.state = 8;
if ((_strssid).equals("NotFound")) { 
this.state = 3;
}else if((_strssid).equals("Min_2_Found")) { 
this.state = 5;
}else {
this.state = 7;
}if (true) break;

case 3:
//C
this.state = 8;
 //BA.debugLineNum = 88;BA.debugLine="Log (\"No Test SSID found!\")";
anywheresoftware.b4a.keywords.Common.Log("No Test SSID found!");
 //BA.debugLineNum = 89;BA.debugLine="ToastMessageShow(\"No Test SSID found!\"  & CRLF &";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("No Test SSID found!"+anywheresoftware.b4a.keywords.Common.CRLF+"Please turn Test SSID on!"),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 5:
//C
this.state = 8;
 //BA.debugLineNum = 94;BA.debugLine="Log (\"At least 2 TestSSID's found!\")";
anywheresoftware.b4a.keywords.Common.Log("At least 2 TestSSID's found!");
 //BA.debugLineNum = 96;BA.debugLine="ToastMessageShow(\"At least 2 TestSSID's found!\"";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("At least 2 TestSSID's found!"+anywheresoftware.b4a.keywords.Common.CRLF+"Please connect WIFI manually!"),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 7:
//C
this.state = 8;
 //BA.debugLineNum = 101;BA.debugLine="Log (\"Passwort Eingabe:\" & strSsid)";
anywheresoftware.b4a.keywords.Common.Log("Passwort Eingabe:"+_strssid);
 //BA.debugLineNum = 102;BA.debugLine="Log (\"Disconnect Wifi folgt!\" )";
anywheresoftware.b4a.keywords.Common.Log("Disconnect Wifi folgt!");
 //BA.debugLineNum = 104;BA.debugLine="ToastMessageShow(\"Passwort Eingabe:\" & strSsid ,";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Passwort Eingabe:"+_strssid),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 107;BA.debugLine="wifi.disconnectWifiAP()";
parent._wifi.disconnectWifiAP();
 //BA.debugLineNum = 109;BA.debugLine="strTemp = strSsid.substring(6)";
_strtemp = _strssid.substring((int) (6));
 //BA.debugLineNum = 110;BA.debugLine="strPassWort = StrReverse(strTemp)";
_strpasswort = _strreverse(_strtemp);
 //BA.debugLineNum = 113;BA.debugLine="wifi.saveWifiAP(strSsid, 2, strPassWort, False)";
parent._wifi.saveWifiAP(_strssid,(int) (2),_strpasswort,anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 115;BA.debugLine="Sleep(100)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (100));
this.state = 9;
return;
case 9:
//C
this.state = 8;
;
 //BA.debugLineNum = 117;BA.debugLine="wifi.connectWifiAP(strSsid)";
parent._wifi.connectWifiAP(_strssid);
 //BA.debugLineNum = 120;BA.debugLine="ToastMessageShow(\"TestSSID Wifi:\" & strSsid ,Fal";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("TestSSID Wifi:"+_strssid),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 8:
//C
this.state = -1;
;
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _strreverse(String _text) throws Exception{
anywheresoftware.b4a.keywords.StringBuilderWrapper _tempstr = null;
int _temp = 0;
 //BA.debugLineNum = 173;BA.debugLine="Sub StrReverse(Text As String) As String";
 //BA.debugLineNum = 174;BA.debugLine="Dim tempstr As StringBuilder,temp As Int";
_tempstr = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
_temp = 0;
 //BA.debugLineNum = 175;BA.debugLine="tempstr.Initialize";
_tempstr.Initialize();
 //BA.debugLineNum = 176;BA.debugLine="For temp = Text.Length-1 To 0 Step -1";
{
final int step3 = (int) (-1);
final int limit3 = (int) (0);
_temp = (int) (_text.length()-1) ;
for (;(step3 > 0 && _temp <= limit3) || (step3 < 0 && _temp >= limit3) ;_temp = ((int)(0 + _temp + step3))  ) {
 //BA.debugLineNum = 177;BA.debugLine="tempstr.Append( Text.CharAt(temp) )";
_tempstr.Append(BA.ObjectToString(_text.charAt(_temp)));
 }
};
 //BA.debugLineNum = 179;BA.debugLine="Return tempstr.ToString";
if (true) return _tempstr.ToString();
 //BA.debugLineNum = 180;BA.debugLine="End Sub";
return "";
}
}
